# Farm-Calculators  

Contributors: wingdspur  
Requires at least: 3.0  
Tested up to: 3.6  
Stable tag: 0.4  
Tags: farm, crop, farming, calculator, yield, population, agriculture  
License: GPLv3 or later  

Add farm calculators to your website to help users determine various farming and crop related information.  

## Description  

Add farm calculators to your website to help visitors determine various farming and crop related information, such as crop populations, yield estimates, and harvest losses.  

## Shortcodes  

You can use following shortcodes if activated:

### Crop Population  
    [farming_calc_crop_population]  
    [farming_calc_crop_population_bs] (for bootstrap themes)  
Shows a calculator for determing crop population based on stand count, row length, and row spacing.  

### Crop Population (Hoop Method)  
    [farming_calc_crop_population_hoop]  
    [farming_calc_crop_population_hoop_bs] (for bootstrap themes)  
Shows a calculator for determing crop population based on stand count and hoop size.  

### Wheat Harvest Yield Loss  
    [farming_calc_wheat_harvest_yield_loss]
    [farming_calc_wheat_harvest_yield_loss_bs] (for bootstrap themes)  
Shows a calculator for determing wheat harvest yield loss based on kernels counted on ground and the size of the area they were counted in.  

### Grain Sorghum Harvest Yield Loss  
    [farming_calc_sorghum_harvest_yield_loss]
    [farming_calc_sorghum_harvest_yield_loss_bs] (for bootstrap themes)  
Shows a calculator for determing grain sorghum harvest yield loss based on kernels counted on ground and the size of the area they were counted in.  

### Soybean Harvest Yield Loss  
    [farming_calc_soybean_harvest_yield_loss]
    [farming_calc_soybean_harvest_yield_loss_bs] (for bootstrap themes)  
Shows a calculator for determing soybean harvest yield loss based on beans counted on ground and the size of the area they were counted in.  

### Sunflower Harvest Yield Loss  
    [farming_calc_sunflower_harvest_yield_loss]
    [farming_calc_sunflower_harvest_yield_loss_bs] (for bootstrap themes)  
Shows a calculator for determing sunflower harvest yield loss based on seeds counted on ground and the size of the area they were counted in.  

More shortcodes will follow soon.

## Installation  

### Install Farm-Calculators on a simple WordPress blog  

1. Upload the full `farm-calculators` directory into your `wp-content/plugins` directory.

2. Activate the plugin through the 'Plugins' menu in WordPress. 

3. Use the calculator shortcodes wherever you would like to display them to your visitors.  

## Screenshots  

1. screenshot-1.png  

## Changelog  

### 0.4  
* Added wheat harvest yield loss calculator.  

### 0.3  
* Added soybean harvest yield loss calculator.  
* Added sunflower harvest yield loss calculator.  

### 0.2  
* Added grain sorghum harvest yield loss calculator.   
* Added bootstrap styled alternative shortcodes.   

### 0.1  
* First public version.  
* Added crop population by hoop method calculator.  
* Added crop population by row length/spacing calculator.  